html, body {
  margin: 0;
  padding: 0;
  font-size: 14px;
  height: 100%
}

body {
  display: flex;
  flex-direction: column;
  color: #000;
}

body a, body h1 , body h2 {
  color: #071066;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 1rem 0;
  padding: 0;
}

header .container, footer .container, main {
  width: 80%;
  margin: 0 auto;
}

header {
  width: 100%;
  height: 40px;
  background-image: linear-gradient(rgb(255, 255, 255), rgb(242, 242, 242));
  position: fixed;
}

header .container {
  display: flex;
  height: 100%;
}

hgroup.logo {
  flex: 1;
  display: flex;
  align-content: center;
  justify-content: flex-start;
  flex-wrap: wrap;
  padding: 4px;
}

header nav {
  flex: 3;
  display: flex;
  align-content: center;
  justify-content: flex-end;
  flex-wrap: wrap;
}

header nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-self: center;
}

header nav ul li {
  float: left;
  margin: 0 6px;
}

header nav ul li, header nav ul li a {
  text-decoration: none;
}
header nav .button {
  display: flex;
  align-self: center;
  margin-left: 6px;
}
header nav .button, #side_review {
  background-color: #663cbd;
  color: #fff;
  padding: 3px 12px;
  border-radius: 6px;
  text-decoration: none;
}

main {
  display: flex;
  flex: 1;
  min-height: min-content;
  align-items: stretch;
  width: 96%;
  margin-top: 40px;
  background-image: url(/theme/img/background_p.webp);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-attachment: fixed;
  padding: 2%;
}

main .books {
  margin: 3rem 0;
}

main .category {
  flex: 1;
  flex-flow: column wrap;
  column-span: all;
  display: flex;
}
.category .article {
  margin: 0;
  align-content: center;
}
category .article > * {
  align-self: center;
}
main  book, .category .article  {
  display: flex;
  flex-flow: column wrap;
  padding: 1rem 0;
  border-bottom: 1px solid rgba(0, 0, 0, .4)
}

main book:last-child {
  border: none;
}

main  book h3 {
  flex: 3;
  margin: 0;
}

main book .metainfo {
  flex: 1;
}


h1 {
  font-family: 'Bad Script', sans-serif;
  text-align: center;
  font-size: 2.2rem;
  line-height: 1.5;
}

h1 .p1 {
  font-size: 1.5rem;
}

h1 .p3 {
  font-size: 1.2rem;
}

footer {
  border-top: 1px solid rgba(0, 0, 0, .2);
  width: 100%;
  padding: 1rem 0;
}

footer .container {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  font-size: 0.9rem;
}

footer .container > div {
  padding: 0 1rem;
  display: flex;
  justify-content: center;
}
footer .container > div.pagination {
  justify-content: space-between;
}
footer a, footer .copyright {
  font-size: 0.75rem;
  text-decoration: none;
}
footer .pagination .prev {
  float: inline-start;
}
footer .pagination .next {
  float: inline-end;
}
article {
  display: block;
}
article h1 a {
  text-decoration: none;
}
#side_part1 img {
  width: 50%;
  display: block;
  margin: 10px auto;
  box-shadow: 5px 5px 16px 4px #aaaaaa;
  border: 1px solid #aaaaaa;
}
.sidebox {
  font-size: 0.8em;
  margin: 1rem 0;
}
.sidebox.tags a {
  text-decoration: none;
  border: 1px solid #aaaaaa;
  padding: 4px 8px;
  margin: 8px;
  display: inline-block;
  border-radius: 4px;
}
#content_part2 img {
  width: 30%;
  margin: 10px 1%;
  border: 1px solid #aaaaaa;
}
.about {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 1fr;
  column-gap: 5rem;
  row-gap: 1.8rem;
  font-size: 1.1rem;
  -webkit-text-stroke: 0.02rem #fff;
  text-align: justify;
}
.button, button {
  cursor: pointer;
}
dialog {
  border: 0;
}

dialog button.close {
  float: right;
  width: 32px;
  height: 32px;
  margin: 0.8rem;
  border-radius: 20px;
}

.ml-form-embedContainer button {
  margin: 0 auto;
  display: block;
  outline: none;
  cursor: pointer;
  padding: 0 16px;
  border-radius: 4px;
  color: #663cbd;
  background: #f8f8f7;
  line-height: 1.15;
  font-size: 0.9rem;
  height: 36px;
  word-spacing: 0px;
  letter-spacing: .0892857143em;
  text-decoration: none;
  text-transform: uppercase;
  min-width: 64px;
  border: 0.2rem solid #663cbd;
  text-align: center;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  transition: box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1);
}

.ml-form-embedContainer button:hover {
  background: #fff;
  box-shadow: 0px 2px 4px -1px rgb(0 0 0 / 20%), 0px 4px 5px 0px rgb(0 0 0 / 14%), 0px 1px 10px 0px rgb(0 0 0 / 12%);
}

a.author {
  color: inherit;
  width: 80%;
  display: block;
  margin: 2rem auto;
  text-align: center;
  font-size: 1.3rem;
}

.ml-form-embedContainer {
  max-width: 50%;
  margin: 3rem auto;
  padding: 1rem;
  text-align: center;
  border: 2px solid #663cbd;
  border-radius: 12px;
}

.ml-form-embedContainer p {
  margin: 1rem;
}

.ml-form-embedContainer input[type="email"] {
  padding: 6px 2px;
  margin: 4px auto;
  width: 80%;
}

.ml-block-form {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 1fr;
  justify-content: center;
  align-content: center;
  margin-top: 1rem;
}

@media screen and (min-width: 992px) {
  html, body {
    font-size: 17px;
  }

  header .container, footer .container, main {
    width: 992px;

  }

  header {
    position: static;
  }
  main {
    overflow: auto;
    margin-top: 0px;
    margin-bottom: 1.5rem;
  }

  main {
    background-image: url(/theme/img/background.webp);
    background-position: center 40px;
    padding: 0;
  }
  main book {
    flex-flow: row nowrap;
    padding: 1rem 10%;
  }
  article {
    display: grid;
    grid-template-columns: 3fr 1fr;
    grid-template-rows: min-content max-content;
    column-gap: 2rem;
  }
  #content_part1 {
    grid-column-start: 1;
    grid-row-start: 1;
  }

  #side_part1 {
    grid-column-start: 2;
    grid-row-start: 1;
    display: flex;
    align-items: center;
  }
  #side_part1 .nocover {
    margin-top: 90px;
  }
  #content_part2 {
    grid-column-start: 1;
    grid-row-start: 2;
  }
  #side_part2 {
    grid-column-start: 2;
    grid-row-start: 2;
  }


  .about, .ml-block-form {
    grid-template-rows: auto;
    grid-template-columns: 1fr 1fr;
  }

  a.author {
    width: 33%;
  }

  footer .container {
    flex-direction: row;
  }
  footer .container .pagination {
    flex-grow: 3;
  }

}